package com.ejie.ab79.model.inspecciones;

import com.ejie.ab79.model.procedimientos.Direcciones;

/**
 * Agrupaciones  
 * 
 *  
 */

public class Agrupaciones implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idAgrupacion;
	private Direcciones direccion;
	private String descripcionCorta;
	private String descripcionCastellano;
	private String descripcionEuskera;
	private String usuarioRegistro;
	private String usuarioUltmodificacion;

	/**
	 * Method 'Agrupaciones'.
	 */
	public Agrupaciones() {
	}

	/**
	 * Method 'Agrupaciones'.
	 * 
	 * @param idAgrupacion
	 *            Integer
	 */
	public Agrupaciones(Integer idAgrupacion) {
		this.idAgrupacion = idAgrupacion;
	}

	/**
	 * Method 'Agrupaciones'.
	 * 
	 * @param idAgrupacion
	 *            Integer
	 * @param idDireccion
	 *            Integer
	 * @param descripcionCorta
	 *            String
	 * @param descripcionCastellano
	 *            String
	 * @param descripcionEuskera
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 */
	public Agrupaciones(Integer idAgrupacion, Direcciones direccion, String descripcionCorta,
			String descripcionCastellano, String descripcionEuskera, String usuarioRegistro,
			String usuarioUltmodificacion) {

		this.idAgrupacion = idAgrupacion;
		this.direccion = direccion;
		this.descripcionCorta = descripcionCorta;
		this.descripcionCastellano = descripcionCastellano;
		this.descripcionEuskera = descripcionEuskera;
		this.usuarioRegistro = usuarioRegistro;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'getIdAgrupacion'.
	 *
	 * @return Integer
	 */

	public Integer getIdAgrupacion() {
		return this.idAgrupacion;
	}

	/**
	 * Method 'setIdAgrupacion'.
	 *
	 * @param idAgrupacion
	 *            Integer
	 * @return
	 */

	public void setIdAgrupacion(Integer idAgrupacion) {
		this.idAgrupacion = idAgrupacion;
	}

	/**
	 * Method 'getDireccion'.
	 *
	 * @return Direcciones
	 */

	public Direcciones getDireccion() {
		return this.direccion;
	}

	/**
	 * Method 'setDireccion'.
	 *
	 * @param direccion
	 *            Direcciones
	 * @return
	 */

	public void setDireccion(Direcciones direccion) {
		this.direccion = direccion;
	}

	/**
	 * Method 'getDescripcionCorta'.
	 *
	 * @return String
	 */

	public String getDescripcionCorta() {
		return this.descripcionCorta;
	}

	/**
	 * Method 'setDescripcionCorta'.
	 *
	 * @param descripcionCorta
	 *            String
	 * @return
	 */

	public void setDescripcionCorta(String descripcionCorta) {
		this.descripcionCorta = descripcionCorta;
	}

	/**
	 * Method 'getDescripcionCastellano'.
	 *
	 * @return String
	 */

	public String getDescripcionCastellano() {
		return this.descripcionCastellano;
	}

	/**
	 * Method 'setDescripcionCastellano'.
	 *
	 * @param descripcionCastellano
	 *            String
	 * @return
	 */

	public void setDescripcionCastellano(String descripcionCastellano) {
		this.descripcionCastellano = descripcionCastellano;
	}

	/**
	 * Method 'getDescripcionEuskera'.
	 *
	 * @return String
	 */

	public String getDescripcionEuskera() {
		return this.descripcionEuskera;
	}

	/**
	 * Method 'setDescripcionEuskera'.
	 *
	 * @param descripcionEuskera
	 *            String
	 * @return
	 */

	public void setDescripcionEuskera(String descripcionEuskera) {
		this.descripcionEuskera = descripcionEuskera;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idAgrupacion: ").append(this.idAgrupacion).append(" ]");
		result.append(", [ direccion: ").append(this.direccion).append(" ]");
		result.append(", [ descripcionCorta: ").append(this.descripcionCorta).append(" ]");
		result.append(", [ descripcionCastellano: ").append(this.descripcionCastellano).append(" ]");
		result.append(", [ descripcionEuskera: ").append(this.descripcionEuskera).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}

}
